import http from "@/utils/http";
import { AppDispatch } from "..";
/**
 * 获取 积分记录 列表
 */
export const A3_APIgetList = (data: any) => {
  return async (dispatch: AppDispatch) => {
    const res = await http.post("cms/pointLog/pageList", data);
    if (res.code === 0) {
      const obj = {
        list: res.data.records,
        total: res.data.total,
      };
      dispatch({ type: "A3/getList", payload: obj });
    }
  };
};
